Bug 436070 - execute command "setfacl" with option "-P" can not skip symbolic link
Summary: execute command "setfacl" with option "-P" can not skip symbolic link
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acl   
(Show other bugs)
Version: 5.1
Hardware: i686
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-03-05 07:31 UTC by Peng Haitao
Modified: 2018-10-20 03:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 08:30:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is a patch fixing this bug (558 bytes, patch)
2008-03-05 07:31 UTC, Peng Haitao
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:1652 normal SHIPPED_LIVE acl bug fix update 2009-12-09 08:30:10 UTC

Description Peng Haitao 2008-03-05 07:31:14 UTC
Description of problem:
Using command "setfacl" with option "-P" can not skip all symbolic links.

Version-Release number of selected component (if applicable):
acl-2.2.39-2.1.el5

How reproducible:
100%

Steps to Reproduce:
1.touch temp_file
2.ln -s temp_file temp_sl
3.setfacl -P -m u:root:rwx temp_sl
4.getfacl temp_sl | grep "user:root:rwx"
  
Actual results:
user:root:rwx

Expected results:
Nothing is outputed and the exit code is 1

Additional info:

Comment 1 Peng Haitao 2008-03-05 07:31:14 UTC
Created attachment 296860 [details]
This is a patch fixing this bug

Comment 2 RHEL Product and Program Management 2008-07-21 23:05:22 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 RHEL Product and Program Management 2009-03-26 17:07:55 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 9 errata-xmlrpc 2009-12-09 08:30:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1652.html


Note You need to log in before you can comment on or make changes to this bug.